HierarchyEntityControllerUpdateLevel Method |
PUT /HierarchyEntity/Level/
Updates the given level.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("Level")]
public IActionResult UpdateLevel(
Guid id,
[FromBodyAttribute] UpdateHierarchyLevelOptions options,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("Level")>
Public Function UpdateLevel (
id As Guid,
<FromBodyAttribute> options As UpdateHierarchyLevelOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"Level")]
IActionResult^ UpdateLevel(
Guid id,
[FromBodyAttribute] UpdateHierarchyLevelOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("Level")>]
member UpdateLevel :
id : Guid *
[<FromBodyAttribute>] options : UpdateHierarchyLevelOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the hierarchy. - options
- Type: Dundas.BI.WebApi.ModelsUpdateHierarchyLevelOptions
The options to use when updating the level. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
HierarchyEntityData object containing the updated hierarchy, or a status code indicating the problem.
See Also